
package webservices;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "StateWSImplementationService", targetNamespace = "http://webservices/", wsdlLocation = "http://156.35.98.163:8081/AppSW/soapws/state?wsdl")
public class StateWSImplementationService
    extends Service
{

    private final static URL STATEWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    private final static WebServiceException STATEWSIMPLEMENTATIONSERVICE_EXCEPTION;
    private final static QName STATEWSIMPLEMENTATIONSERVICE_QNAME = new QName("http://webservices/", "StateWSImplementationService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://156.35.98.163:8081/AppSW/soapws/state?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        STATEWSIMPLEMENTATIONSERVICE_WSDL_LOCATION = url;
        STATEWSIMPLEMENTATIONSERVICE_EXCEPTION = e;
    }

    public StateWSImplementationService() {
        super(__getWsdlLocation(), STATEWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public StateWSImplementationService(WebServiceFeature... features) {
        super(__getWsdlLocation(), STATEWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public StateWSImplementationService(URL wsdlLocation) {
        super(wsdlLocation, STATEWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public StateWSImplementationService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, STATEWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public StateWSImplementationService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public StateWSImplementationService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns IStateWS
     */
    @WebEndpoint(name = "StateWSImplementationPort")
    public IStateWS getStateWSImplementationPort() {
        return super.getPort(new QName("http://webservices/", "StateWSImplementationPort"), IStateWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns IStateWS
     */
    @WebEndpoint(name = "StateWSImplementationPort")
    public IStateWS getStateWSImplementationPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://webservices/", "StateWSImplementationPort"), IStateWS.class, features);
    }

    private static URL __getWsdlLocation() {
        if (STATEWSIMPLEMENTATIONSERVICE_EXCEPTION!= null) {
            throw STATEWSIMPLEMENTATIONSERVICE_EXCEPTION;
        }
        return STATEWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    }

}
